{% extends 'bootstrap/base.html' %}
<html>
   
    {% block title %}Simply Simple Notes{% endblock %}
    
    {% block content %}
    <body>
        <center>
            <h1>Simply Simple Jira Notes</h1>

            <img src="notes/static/gitlab-icon-rgb.png" alt="gitlab" class="inline"/>
            
            {% with messages = get_flashed_messages() %}
            {% if messages %}
            <ul>
                {% for message in messages %}
                <li>{{ message }}</li>
                {% endfor %}
            </ul>
            {% endif %}
            {% endwith %}

            <hr>

            <h3><b>My notes</b></h3>

            {% for note in notes %}
            <div><p><b>{{ note }}</b></p></div>
            {% endfor %}

            <hr>
            
            <h3>Add a new note</h3>
            <form class="form-inline" action="" method="post" novalidate>
                {{ add_form.hidden_tag() }}
                <p>
                    {{ add_form.note_field.label }}
                    {{ add_form.note_field(size=32) }}
                    {{ add_form.add() }}
                </p>
            </form>

            <hr>

            <h3>Delete an old note</h3>
            <form class="form-inline" action="" method="post" novalidate>
                {{ delete_form.hidden_tag() }}
                <p>
                    {{ delete_form.id_field.label }}
                    {{ delete_form.id_field(size=2) }}
                    {{ delete_form.delete() }}
                </p>
            </form>

            <hr>

            <h3>Admin?</h3>
            <form class="form-inline" action="" method="post" novalidate>
                {{ admin_form.hidden_tag() }}
                <p>
                    {{ admin_form.login() }}
                </p>
            </form>

            <hr>

        </center>
    </body>
    {% endblock %}
</html>
